org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedProperty<V>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedProperty<V>

- All Implemented Interfaces:
    Serializable, Property<V>, Attachable<Property<V>>

      public class DetachedProperty<V>
      extends Object
      implements Property<V>, Serializable, Attachable<Property<V>>

  Author:
    Stephen Mallette (http://stephen.genoprime.com), Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Property

      `Property.Exceptions`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DetachedProperty(Property<V> property)`
    `` | `DetachedProperty(String key, V value)`
    `` | `DetachedProperty(String key, V value, Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `element()` Get the element that this property is associated with.
    `boolean` | `equals(Object object)`
    `Property<V>` | `get()` Get the raw object trying to be attached.
    `int` | `hashCode()`
    `boolean` | `isPresent()` Whether the property is empty or not.
    `String` | `key()` The key of the property.
    `void` | `remove()` Remove the property from the associated element.
    `String` | `toString()`
    `V` | `value()` The value of the property.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Property

      `empty, ifPresent, orElse, orElseGet, orElseThrow`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `attach`

- - ### Constructor Detail

    - #### DetachedProperty

          protected DetachedProperty(Property<V> property)

    - #### DetachedProperty

          public DetachedProperty(String key,
                                  V value)

    - #### DetachedProperty

          public DetachedProperty(String key,
                                  V value,
                                  Element element)

  - ### Method Detail

    - #### get

          public Property<V> get()

      Description copied from interface: `Attachable`
      Get the raw object trying to be attached.
      Specified by:
        `get` in interface `Attachable<Property<V>>`
      Returns:
        the raw object to attach

    - #### isPresent

          public boolean isPresent()

      Description copied from interface: `Property`
      Whether the property is empty or not.
      Specified by:
        `isPresent` in interface `Property<V>`
      Returns:
        True if the property exists, else false

    - #### key

          public String key()

      Description copied from interface: `Property`
      The key of the property.
      Specified by:
        `key` in interface `Property<V>`
      Returns:
        The property key

    - #### value

          public V value()

      Description copied from interface: `Property`
      The value of the property.
      Specified by:
        `value` in interface `Property<V>`
      Returns:
        The property value

    - #### element

          public Element element()

      Description copied from interface: `Property`
      Get the element that this property is associated with.
      Specified by:
        `element` in interface `Property<V>`
      Returns:
        The element associated with this property (i.e. `Vertex`, `Edge`, or `VertexProperty`).

    - #### remove

          public void remove()

      Description copied from interface: `Property`
      Remove the property from the associated element.
      Specified by:
        `remove` in interface `Property<V>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.